'use strict';

var react = require('react');
var core = require('@zoom-image/core');

// src/useZoomImageClick.ts
function useZoomImageClick() {
  const result = react.useRef();
  const [zoomImageState, updateZoomImageState] = react.useState({
    zoomedImgStatus: "idle"
  });
  const createZoomImage = react.useCallback((...arg) => {
    result.current?.cleanup();
    result.current = core.createZoomImageClick(...arg);
    updateZoomImageState(result.current.getState());
    result.current.subscribe(({ state }) => {
      updateZoomImageState(state);
    });
  }, []);
  react.useEffect(() => {
    return () => {
      result.current?.cleanup();
    };
  }, []);
  return {
    createZoomImage,
    zoomImageState
  };
}

exports.useZoomImageClick = useZoomImageClick;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=useZoomImageClick.js.map